pbs_server(8B)

NAME
pbs_server - start a PBS batch server

SYNOPSIS
pbs_server [-a <active>] [-A <acctfile>] [-C] [-d <config path>]
    [-e <mask>] [-F <delay>] [-L <logfile>] [-M <MoM port>] [-N] [-p <port number>] [-R <MoM RPP port>] [-S <default scheduler port>] [-s <replacement string>] [-t <restart type>]
pbs_server --version

DESCRIPTION
The pbs_server command starts a batch server on the local host. Typically, this command is in a local boot file such as /etc/rc.local. If the batch server is already in running, pbs_server exits with an error. Required Permission
To ensure that the pbs_server command is not runnable by the general user community, the server runs only if its real and effective uid is zero. You must be root on Linux or Admin on Windows.

OPTIONS

-A <acctfile>
    Specifies an absolute path name for the file to use as the accounting file. If not specified, the file is named for the current date in the PBS_HOME/server_priv/accounting directory.

-a <active>
    When True, the server is in state "active" and the default scheduler is called to schedule jobs. When False, the server is in state "idle" and the default scheduler is not called to schedule jobs. Sets the server's scheduling attribute. If this option is not specified, the server uses the prior value for the scheduling attribute.
    Format: Boolean

-C  The server starts up, creates the database, and exits. Windows only.

-d <config path>
    Specifies the absolute path to the directory containing the server configuration files, PBS_HOME. Each server must have a different configuration directory. The default configuration directory is specified in $PBS_HOME, and is typically /var/spool/PBS .

-e <mask>
    Specifies a log event mask to be used when logging. See "log_events" in the pbs_server_attributes(7B) man page.

-F <delay>
    Specifies the number of seconds that the secondary server should wait before taking over when it believes the primary server is down. If the number of seconds is specified as -1, the secondary will make one attempt to contact the primary and then become active.
    Default: 30 seconds

-L <logfile>
    Specifies the absolute path name for the log file. If not specified, the file is named for the current date in the PBS_HOME/server_logs directory. PBS_HOME is specified in the $PBS_HOME environment variable or in /etc/pbs.conf; see the -d option.

-M <MoM port>
    Specifies the host name and/or port number on which the server should connect to MOM. The option argument, MoM port, uses the syntax:
    [<hostname>][:<port number>]
    If hostname is not specified, the local host is assumed.
    If port number is not specified, the default port is assumed. See the -M option for pbs_mom(8).
    Default: 15002

-N  The server runs in standalone mode. On Windows, it does not register as a Windows service. On other platforms, MoM does not detach from the current session.

-p <port number>
    Specifies the port number on which the server is to listen for batch requests. If multiple servers are running on a single host, each must have its own unique port number. This option is for use in testing with multiple batch systems on a single host.
    Default: 15001

-R <MoM RPP port>
    Specifies the port number on which the server should query the up/down status of MoM. See the -R option for pbs_mom(8).
    Default: 15003

-S <default scheduler port>
    Specifies the port number to which the server should connect when contacting the default scheduler. The option argument, default scheduler port, uses the syntax:
    [<hostname>][:<port number>]
    Default: 15004

-s <replacement string>
    Specifies the string to use when replacing spaces in accounting entity names. Only available under Windows. See the PBS Professional Administrator's Guide.

-t <restart type>
    Specifies behavior when the server restarts. The restart type argument is one of the following:

    cold
        All jobs are purged. Positive confirmation is required before this direction is accepted.

    create
        The server discards any existing configuration files: server, nodes, queues, and jobs, and initialize configuration files to the default values. The default scheduler is idled ( scheduling is set to False ). Any multischeds are deleted.

    hot All jobs in the Running state are retained in that state. Any job that was requeued into the Queued state from the Running state when the server last shut down is run immediately, assuming the required resources are available. This returns the server to the same state as when it went down. After those jobs are restarted, normal scheduling takes place for all remaining queued jobs. All other jobs are retained in their current state.

        If a job cannot be restarted immediately because of a missing resource, such as a vnode being down, the server attempts to restart it periodically for up to 5 minutes. After that period, the server will revert to a normal state, as if warm started, and will no longer attempt to restart any remaining jobs which were running prior to the shutdown.

    updatedb
        Updates format of PBS data from the previous format to the data service format.

    warm
        All jobs in the Running state are retained in that state. All other jobs are maintained in their current state. The default scheduler typically chooses new jobs for execution. warm is the default if -t is not specified.

--version
    The pbs_server command returns its PBS version information and exits. This option can only be used alone.

FILES

$PBS_HOME/server_priv
    Default directory for configuration files

$PBS_HOME/server_logs
    Directory for log files recorded by the server

Signal Handling
When it receives the following signals, the server performs the following actions:

SIGHUP
    The current server log and accounting log are closed and reopened. This allows for the prior log to be renamed and a new log started from the time of the signal.

SIGTERM
    Causes a rapid orderly shutdown of pbs_server, identical to qterm -t quick .

SIGSHUTDN
    On systems where SIGSHUTDN is defined, causes an orderly quick shutdown of the server.

SIGPIPE, SIGUSR1, SIGUSR2
    These signals are ignored.

All other signals have their default behavior installed.

Diagnostic Messages
The server will record a diagnostic message in a log file for any error occurrence. The log files are maintained in the server_logs directory below the home directory of the server. If the log file cannot be opened, the diagnostic message is written to the system console. The server writes its PBS version and build information to the logfile whenever it starts up or the logfile is rolled to a new file.

Stopping the PBS Server
Stopping the Server on Linux
Use the qterm command:
qterm
(see qterm(8B))
or send a SIGTERM:
kill <server PID> Stopping the Server on Windows
if you're running "pbs_server -N" for a standalone mode server, use:
<cntrl>-<break>

EXIT STATUS

Zero
    When the server has run in the background and then exits

Greater than zero
    If the server command fails to begin batch operation

SEE ALSO
The PBS Professional Administrator's Guide and the following manual pages: qsub (1B), pbs_connect(3B), pbs_mom(8B), pbs_sched(8B), pbsnodes(8B), qdisable(8B), qenable(8B), qmgr(8B), qrun(8B), qstart(8B), qstop(8B), and qterm(8B)